libsigc++: sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference

libsigc++ 2.12.1

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference
Functors » mem_fun()

mem_functor4 wraps methods with 4 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >:
[legend]

## Public Types
typedef T_return(T_obj::*) | function_type(T_arg1, T_arg2, T_arg3, T_arg4)
typedef T_return | result_type

## Public Member Functions
| mem_functor4 ()
| Constructs an invalid functor.
| mem_functor4 (function_type _A_func)
| Constructs a mem_functor4 object that wraps the passed method.
T_return | operator() (T_obj & _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (T_obj * _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes
function_type | func_ptr_

## Detailed Description

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
class sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >

mem_functor4 wraps methods with 4 argument(s).

Use the convenience function mem_fun() to create an instance of mem_functor4.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

## ◆ function_type

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return(T_obj::*) sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::function_type(T_arg1, T_arg2, T_arg3, T_arg4)

## ◆ result_type

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::result_type

## Constructor & Destructor Documentation

## ◆ mem_functor4() [1/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::mem_functor4 | ( |  | ) |
| inline

Constructs an invalid functor.

## ◆ mem_functor4() [2/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::mem_functor4 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a mem_functor4 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

## ◆ operator()() [1/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::operator() | ( | T_obj & | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4 ) const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## ◆ operator()() [2/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::operator() | ( | T_obj * | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4 ) const
| inline

Execute the wrapped method operating on the passed instance.

Deprecated
  Please use the constructor that takes the object by reference instead.

Parameters

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

## ◆ func_ptr_

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

function_type sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::func_ptr_
| protected